Package Gnumed :: Package wxpython :: Module gmListWidgets :: Class cItemPickerDlg |
[frames] | no frames]

# Class cItemPickerDlg

source code

                                       wx.Dialog --+
                                                   |
    wxGladeWidgets.wxgItemPickerDlg.wxgItemPickerDlg --+
                                                       |
                                                      cItemPickerDlg

Instance Methods
__init__(self, *args, **kwargs) | source code
set_columns(self, columns=None, columns_right=None) | source code
set_string_items(self, items=None, reshow=True) | source code
set_selections(self, selections=None) | source code
set_choices(self, choices=None, data=None, reshow=True) | source code
set_picks(self, picks=None, data=None, reshow=True) | source code
set_data(self, data=None) | source code
get_picks(self) | source code

Class Variables
| picks = `property(get_picks, lambda x: x)`
| extra_button = `property(lambda x: x, _set_extra_button)`
| left_item_tooltip_callback = `property(lambda x: x, _set_left_i`...``
| right_item_tooltip_callback = `property(lambda x: x, _set_right`...``

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
Overrides: wxGladeWidgets.wxgItemPickerDlg.wxgItemPickerDlg.__init__

Class Variable Details

  ### left_item_tooltip_callback Value:
      property(lambda x: x, _set_left_item_tooltip_callback)

  ### right_item_tooltip_callback Value:
      property(lambda x: x, _set_right_item_tooltip_callback)